---
###############################################################################
# Define all YAML node anchors
###############################################################################
.node_anchors:
  # `stage`
  stage_build: &stage_build 'build'
  # `image`
  image_clickable_amd64: &image_clickable_amd64 'clickable/ci-16.04-amd64'
  image_clickable_arm64: &image_clickable_arm64 'clickable/ci-16.04-arm64'
  image_clickable_armhf: &image_clickable_armhf 'clickable/ci-16.04-armhf'

###############################################################################
# Define stages
###############################################################################
stages:
  - *stage_build

###############################################################################
# Define `build` template
###############################################################################
.build_click:
  stage: *stage_build
  script:
    - rm /etc/apt/sources.list.d/nodesource.list*
    - 'clickable build'
    - 'clickable review'
  artifacts:
    expire_in: '1 week'
    paths:
      - 'build/*.click'

###############################################################################
# `build` stage: build clicks for `armhf`, `arm64` & `amd64`
###############################################################################
xenial_armhf_click:
  extends: '.build_click'
  image: *image_clickable_armhf

xenial_arm64_click:
  extends: '.build_click'
  image: *image_clickable_arm64

xenial_amd64_click:
  extends: '.build_click'
  image: *image_clickable_amd64
